package com.huimv.manage.eartag.controller;

import com.huimv.manage.eartag.dao.entity.EtEarmarkEntity;
import com.huimv.manage.eartag.dao.repo.EarmarkRepo;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
public class EarmarkTest {
    @Autowired
    private EarmarkRepo earmarkRepo;

    @Test
    public void test1() {
        String applyId = "234337";
        List<EtEarmarkEntity> listEarmark = earmarkRepo.listEarmarkByApply(applyId);
        System.out.println("listEarmark.size=" + listEarmark.size());

        List<EtEarmarkEntity> oneList = new ArrayList();
        List<EtEarmarkEntity> repeartList = new ArrayList();
        for (EtEarmarkEntity earmarkEntity : listEarmark) {
            boolean isExist = false;
            for (EtEarmarkEntity oneEntity : oneList) {
                if (oneEntity.getEarmarkData().equals(earmarkEntity.getEarmarkData())) {
                    isExist = true;
                    repeartList.add(earmarkEntity);
                    break;
                }
            }
            if(!isExist){
                oneList.add(earmarkEntity);
            }
        }
        System.out.println("# oneList.size="+oneList.size());
        System.out.println("# repeartList.size="+repeartList.size());
//        for(EtEarmarkEntity earmarkEntity:repeartList){
//            earmarkRepo.delete(earmarkEntity);
//        }
        System.out.println("# repeartList.size="+repeartList.size());
    }

}
